com.holonplatform.reactor.spring

## Interface SpringReactiveRestClient

- All Superinterfaces:
    ReactiveRestClient, com.holonplatform.http.rest.RestClientOperations<ReactiveRestClient,ReactiveRestClient.ReactiveRequestDefinition>
  All Known Implementing Classes:
    WebClientReactiveRestClient

      public interface SpringReactiveRestClient
      extends ReactiveRestClient

  A `ReactiveRestClient` using Spring `WebClient` to perform invocations.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `ReactiveRestClient.ReactiveInvocation, ReactiveRestClient.ReactiveRequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `com.holonplatform.http.rest.RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R extends com.holonplatform.http.rest.RestClientOperations.RequestConfiguration<R>>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReactiveRestClient` | `create(org.springframework.web.reactive.function.client.WebClient webClient)` Create a `ReactiveRestClient` using given `webClient`.
    `org.springframework.web.reactive.function.client.WebClient` | `getClient()` Get the `WebClient` bound to this RestClient.

    - ### Methods inherited from interface com.holonplatform.reactor.http.ReactiveRestClient

      `create, create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Method Detail

    - #### getClient

          org.springframework.web.reactive.function.client.WebClient getClient()

      Get the `WebClient` bound to this RestClient.
      Returns:
        The `WebClient` reference

    - #### create

          static ReactiveRestClient create(org.springframework.web.reactive.function.client.WebClient webClient)

      Create a `ReactiveRestClient` using given `webClient`.
      Parameters:
        `webClient` - `WebClient` to use to perform invocations (not null)
      Returns:
        A new `ReactiveRestClient` instance

Copyright © 2019 The Holon Platform. All rights reserved.